> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xpaycheckout.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Manual Retry

> Manually retry a failed payment for an existing subscription. This operation is only allowed when the subscription is in the `UNPAID` status and is subject to a 4-hour cooldown.



## OpenAPI

````yaml POST /subscription/manual-retry
openapi: 3.0.1
info:
  title: xPay API Store
  description: ''
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.xpaycheckout.com
security:
  - basicAuth: []
paths:
  /subscription/manual-retry:
    post:
      description: >-
        Manually retry a failed payment for an existing subscription. This
        operation is only allowed when the subscription is in the `UNPAID`
        status and is subject to a 4-hour cooldown.
      parameters:
        - $ref: '#/components/parameters/IdempotencyKey'
      requestBody:
        description: Manual Retry Subscription
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/subs-manual-retry'
        required: true
      responses:
        '200':
          description: Manual retry response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/subs-manual-retry-response'
              examples:
                success:
                  summary: 200 - Success
                  value:
                    success: true
                    minManualRetryDate: '2026-09-16T12:30:00.000+00:00'
                    status: ACTIVE
                    errorCode: null
                    errorMessage: null
                failed:
                  summary: 200 - Failed retry
                  value:
                    success: false
                    minManualRetryDate: '2026-09-16T12:30:00.000+00:00'
                    status: UNPAID
                    errorCode: card_declined
                    errorMessage: The payment has been declined by the customer's bank.
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              example:
                errorCode: bad_request
                errorDescription: Please wait until Wed Sep 16 11:40:29 UTC 2026 before retrying
components:
  parameters:
    IdempotencyKey:
      name: Idempotency-Key
      in: header
      required: false
      schema:
        type: string
        maxLength: 255
        pattern: ^[a-zA-Z0-9\-_:\.]+$
      description: >-
        A unique key for making the request idempotent. Must match pattern:
        `^[a-zA-Z0-9\-_:\.]+$`. See [Idempotent
        Requests](/developer-resources/idempotency) for more details.
      example: KG5LxwFBepaKHyUD
  schemas:
    subs-manual-retry:
      required:
        - subscriptionId
      type: object
      properties:
        subscriptionId:
          description: >-
            Unique identifier of the subscription whose failed payment should be
            retried.
          type: string
          example: sub_fooBOwYsaK50AEfK
    subs-manual-retry-response:
      type: object
      properties:
        success:
          type: boolean
          description: Indicates whether the manual retry payment was successful.
          example: true
        minManualRetryDate:
          type: string
          format: date-time
          nullable: true
          description: >-
            Earliest time at which another manual retry can be attempted based
            on the 4-hour cooldown.
          example: '2026-09-08T14:30:00.000+00:00'
        status:
          type: string
          description: >-
            Current subscription status after the retry attempt. Refer
            [subscription
            statuses](/products/subscription/subscription-statuses).
          enum:
            - ACTIVE
            - UNPAID
            - ENDED
          example: ACTIVE
        errorCode:
          type: string
          nullable: true
          description: >-
            Machine-readable failure reason when the manual retry is
            unsuccessful. `null` on success. [See all possible values
            here.](/products/one-time-payments/error-codes)
          example: card_declined
        errorMessage:
          type: string
          nullable: true
          description: >-
            Human-readable failure reason when the manual retry is unsuccessful.
            `null` on success.
          example: null
    Error:
      required:
        - errorCode
        - errorDescription
      type: object
      properties:
        errorCode:
          type: string
          example: bad_request
        errorDescription:
          type: string
          example: Failed to read request
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic

````